# BugWork

本项目设计为各种项目管理工作提供支持的应用，支持在局域网以及广域网（需要 Broker 应用支持）中使用。项目设计为无中心化应用，支持在局域网中自组网运行，以及在 Broker 应用中介下的广域网自组网运行。

## 技术栈

项目基于 Tauri 2.0 框架构建，UI 部分使用基于 React 19 框架的系列技术构建。网络通讯基于 UDP 协议，Protobuf 数据包格式。

## 支持功能

- 自动组网。
- 自主主机选举，自动脑裂处理。
- 自动数据同步。
- 数据完整性校验。
- SSL 通讯数据加密。
- 多项目支持，支持基于网络环境的项目隔离。
- 项目公告。
- 论坛式主题讨论，支持 MarkDown 格式文档。
- 基于项目的即时通讯。
- 数据流控以及本地缓存文件管理。
- 附加资源失效管理。
- 项目任务及时间管理，包括任务分析、任务分配、任务统计等。
- 项目资源及成本管理。
- 基于项目的角色及权限功能控制。

## 项目许可

项目使用 Apache 2.0 许可协议。
